Name: jakarta-commons-httpclient
Version: 2.0.2
Release: alt0.M24.1

Summary: Jakarta Commons HTTPClient Package
License: Apache Software License
Group: Development/Java
Packager: Vladimir Lettiev <crux@altlinux.ru>

Url: http://jakarta.apache.org/commons/httpclient/
Source0: commons-httpclient-%{version}-src.tar.gz
Source1: %name-build.properties

Buildarch: noarch

BuildPreReq: /proc
BuildPreReq: rpm-build-java
BuildPreReq: jakarta-servletapi5 j2se1.4-sun-devel
#BuildPreReq: j2se1.4-sun-javadoc
BuildPreReq: ant jakarta-commons-logging jakarta-commons-logging-javadoc junit

Requires: java-common >= 1.2 j2se >= 1.4.2
Requires: jakarta-commons-logging

%description
The Hyper-Text Transfer Protocol (HTTP) is perhaps the most significant
protocol used on the Internet today. Web services, network-enabled
appliances and the growth of network computing continue to expand the
role of the HTTP protocol beyond user-driven web browsers, and increase
the number of applications that may require HTTP support.
Although the java.net package provides basic support for accessing
resources via HTTP, it doesn't provide the full flexibility or
functionality needed by many applications. The Jakarta Commons HTTP
Client component seeks to fill this void by providing an efficient,
up-to-date, and feature-rich package implementing the client side of the
most recent HTTP standards and recommendations.
Designed for extension while providing robust support for the base HTTP
protocol, the HTTP Client component may be of interest to anyone
building HTTP-aware client applications such as web browsers, web
service clients, or systems that leverage or extend the HTTP protocol
for distributed communication.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc documentation for %name.

%package samples
Summary: Samples for %name
Group: Development/Java
Requires: %name = %version-%release

%description samples
%summary.

%package manual
Summary: Manual for %name
Group: Development/Java
Requires: %name = %version-%release %name-javadoc = %version-%release

%description manual
%summary.

%prep
%setup -q -n commons-httpclient-%version
%__cp %SOURCE1 build.properties
%__mkdir lib
%__rm -r docs/apidocs

%build
%__ant dist

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_datadir/%name
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m644 dist/commons-httpclient.jar %buildroot%_javadir/%name.jar
%__mv dist/docs/api %buildroot%_javadocdir/%name

%__mv src/examples src/contrib %buildroot%_datadir/%name

%__mv dist/docs %buildroot%_docdir/%name-%version/manual
%__ln_s %_javadocdir/%name %buildroot%_docdir/%name-%version/manual/apidocs

%__cp *.txt %buildroot%_docdir/%name-%version

# manual and docs
#rm -f dist/docs/{BUILDING,TESTING}.txt

%files
%dir %_docdir/%name-%version
%_docdir/%name-%version/*.txt
%_javadir/*

%files javadoc
%_javadocdir/%name

%files samples
%_datadir/%name

%files manual
%_docdir/%name-%version/manual

%changelog
* Sun May 08 2005 Alexey Borovskoy <alb@altlinux.ru> 2.0.2-alt0.M24.1
- Backport to Master 2.4
- Fallback to stable version
- Spec cleanup

* Tue Mar 22 2005 Vladimir Lettiev <crux@altlinux.ru> 3.0-alt0.2
- rpm-build-java macroces
- 3.0-beta1 (cvs 20050321)

* Sun Oct 24 2004 Vladimir Lettiev <crux@altlinux.ru> 3.0-alt0.1
- 3.0-dev (cvs 20041024)

* Wed Oct 13 2004 Vladimir Lettiev <crux@altlinux.ru> 2.0.1-alt2
- changes to suit ALT java-policy

* Fri Sep 17 2004 Vladimir Lettiev <crux@altlinux.ru> 2.0.1-alt1
- 2.0.1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.0-2jpp
- Rebuild with ant-1.6.2

* Mon Feb 16 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:2.0-1jpp
- 2.0 final

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:2.0-0.rc3.1jpp
- 2.0-rc3
- bump epoch

* Tue Oct 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0-3.rc2.1jpp
- Update to 2.0rc2.
- Manual subpackage.
- Crosslink with local J2SE javadocs.
- Own unversioned javadoc dir symlink.

* Fri Aug 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0-3.rc1.1jpp
- Update to 2.0rc1.
- Include "jakarta-"-less jar symlinks for consistency with other packages.
- Exclude example and contrib sources from main package, they're in -demo.

* Wed Jul  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0-2.beta2.1jpp
- Update to 2.0 beta 2.
- Demo subpackage.
- Crosslink with local commons-logging javadocs.

* Wed Jun  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0-2.beta1.1jpp
- Update to 2.0 beta 1.
- Non-versioned javadoc symlinking.

* Fri Apr  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0-1.alpha3.2jpp
- Rebuild for JPackage 1.5.

* Wed Feb 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.0-1.alpha3.1jpp
- Update to 2.0 alpha 3.
- Fix Group tags.
- Run standalone unit tests during build.

* Thu Sep 12 2002 Ville Skyttä <ville.skytta at iki.fi> 2.0-0.cvs20020909.1jpp
- Tune the rpm release number tag so rpm2html doesn't barf on it.

* Mon Sep  9 2002 Ville Skyttä <ville.skytta at iki.fi> 2.0-0.20020909alpha1.1jpp
- 2.0alpha1 snapshot 20020909.
- Use sed instead of bash extensions when symlinking jars during build.
- Add distribution tag.
- Require commons-logging instead of log4j.

* Sat Jan 19 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- renamed to jakarta-commons-httpclient
- additional sources in individual archives
- versioned dir for javadoc
- no dependencies for javadoc package
- dropped j2ee package
- adapted to new jsse package
- section macro

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- javadoc into javadoc package

* Sat Nov 3 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2jpp
- fixed jsse subpackage

* Fri Nov 2 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1jpp
- first JPackage release
